Bug 134832 - Ia32e + Intel SATA 82801EB + kernel 2.4.21-20EL; unable to mount root partition.
Ia32e + Intel SATA 82801EB + kernel 2.4.21-20EL; unable to mount root parti...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia32e Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-06 11:58 EDT by Jesse Stroik
Modified: 2013-07-02 22:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:28:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Stroik 2004-10-06 11:58:13 EDT
Description of problem:

An I32e machine with the Intel SATA chipset 82801EB (rev 2) fails to
mount root partition on boot after updating the kernel to 2.4.21-20EL.
 The relevant driver, PIIx/ICH, appears to load properly, but fails to
recognize the SATA controller as a supported device.

The specific machine is a Dell precision 870.


Version-Release number of selected component (if applicable):

This does not happen with the 2.4.20-15EL release of the kernel, but
it does happen with the 2.4.21-20EL release.


How reproducible:

Reproduces whenever we attempt to boot into 2.4.21-20EL.


Steps to Reproduce:
1. Use ia32e machine with root partition on the Intel 82801EB SATA
controller.
2. Up2date and update the kernel to 2.4.21-20
3. Reboot the machine.
  


Actual results:

Kernel panics because it is unable to mount root partition.

scsi0: unsupported device
scsi1: unsupported device


Expected results:

scsi0 : ata_piix
scsi1 : ata_piix
  Vendor: ATA       Model: HDS724040KLSA80   Rev: 1.01
  Type:   Direct-Access                      ANSI SCSI revision: 05
  Vendor: ATA       Model: HDS724040KLSA80   Rev: 1.01
  Type:   Direct-Access                      ANSI SCSI revision: 05



Additional info:

Contact jstroik@ssec.wisc.edu for more information.
Comment 1 Jesse Stroik 2004-10-06 14:57:29 EDT
There is a typo in this bug report -- the system is a Dell Precision
670, *not* 870 as I reported.
Comment 2 Jeff Garzik 2004-10-06 15:22:51 EDT
Is this bug a dup of 132848?

Are there >= 4GB of RAM in this system?
Comment 3 Jesse Stroik 2004-10-06 15:33:55 EDT
This is a 4GB machine.

/proc/meminfo says:
MemTotal:      3986776 kB

I'm unable to view bug 132848 to determine whether this may be a
duplicate.  "You are not authorized to access bug #132848."
Comment 4 Fred Romelfanger 2005-01-05 22:27:40 EST
I have a similiar problem with RHEL V4 beta 2. I have an Dell 8400 with
a 82801FR SATA AHCI controller, and the installer fails to see either of
the hard drives attached to the controller when I get to the
partitioning step.  Only 1GB in my system.
Comment 5 Jeff Garzik 2005-02-18 01:47:00 EST
The above problem is definitely the bug #132848 problem, which is now
solved.

Mr. Romelfanger, please file a new bug as you have a completely
separate issue.
Comment 6 Ernie Petrides 2005-02-28 21:02:59 EST
A fix for this problem was committed to the RHEL3 U5 patch pool
on 14-Feb-2005 (in kernel version 2.4.21-27.13.EL).
Comment 7 Gerben Roest 2005-03-24 13:52:17 EST
I want to view bug #132848 as well, but like Jesse I'm not authorized to access
it. It's really frustrating! This bug is a showstopper for me, and I want to
know how to work around it!
Comment 8 Rick James 2005-03-28 08:55:39 EST
I also have a Dell Precision 670 with 4GB and experienced the same problem. 
Also not authorized to access bug #132848. How may I aquire the fixed kernel?
Comment 9 Ernie Petrides 2005-03-29 19:10:57 EST
The fixes are in the U5 beta channel on RHN.
Comment 10 Rick James 2005-03-31 11:13:23 EST
Installed kernel 2.4.21-31.EL and all is well.  Thanks for your help.
Comment 11 Tim Powers 2005-05-18 09:28:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.